
Katello - Tracker #29297

Content Publication Workflow

03/09/2020 03:03 PM - Walden Raines

Status: New % Done: 100%

Priority: Normal   

Assignee:    

Category: Content Views   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

A tracker for the Content Publication Workflow rewrite.

Subtasks:

Feature # 29315: Create empty experimental labs page for content views Closed

Feature # 32441: CV UI - Add Publish workflow to new CV UI (Component CVs) Closed

Feature # 32509: CV UI - Add Promote workflow to new CV UI (Component CVs) Closed

Related issues:

Related to Katello - Bug #29598: Fix format of dates in new Content View page Rejected

Related to Katello - Bug #29707: Display actual error message for patternfly ... Rejected

Related to Katello - Bug #29904: UI - For patternfly 4 tables, investigate ca... New

Related to Katello - Bug #29907: UI - patternfly4 - switching the perPage set... New

Related to Katello - Bug #29996: Add new content view details page with detai... Closed

Related to Katello - Bug #29997: add new content view repositories tab to CV ... Closed

Related to Katello - Bug #30071: Autocomplete for search doesn't show "Operat... Rejected

Related to Katello - Feature #29832: Content View Page - add pagination to ma... Closed

Related to Katello - Bug #30079: Searching for just "composite" in content vi... Closed

Related to Katello - Bug #30334: A publish content view displays (Invalid Dat... Resolved

Related to Katello - Refactor #30410: Improve loading UX on new Content View ... Rejected

Related to Katello - Bug #30421: New Content View page - spacing between clea... Closed

Related to Katello - Feature #30524: Add a way to show both added and availab... Closed

Related to Katello - Feature #30895: New content view page - show filters app... Resolved

Related to Katello - Bug #30896: Add bulk selector to patternfly 4 table Resolved

Related to Katello - Bug #31313: New Content View page - create the filter ta... Closed

Related to Katello - Bug #31314: New Content View Page - Tasks tab Closed

Related to Katello - Feature #31446: New Content View Page - Add copy content... Closed

Related to Katello - Bug #31648: New Content View page - show package group f... Closed

Related to Katello - Bug #31649: New Content View page - show RPM filters Resolved

Related to Katello - Bug #31650: New Content View page - show container repos... Resolved

Related to Katello - Bug #31652: New Content View page - errata filters detai... Resolved

Related to Katello - Bug #31716: Patternfly 4 - Have tabs that support routin... Closed

Related to Katello - Bug #31957: New Content View page - Repositories for "No... Resolved

Related to Katello - Feature #31969: New Content View Page - Add filter RPM d... Closed

Related to Katello - Feature #31970: New Content View Page - Add Added/Availa... Closed

Related to Katello - Bug #31971: Add API call to get all RPMs for a CV filter... Closed

Related to Katello - Bug #32281: New Content View Page - Versions tab Closed

Related to Katello - Bug #32283: New Content View Page - CV List page env and... Closed

Related to Katello - Feature #32303: Add a show_all endpoint for content view... Closed

Related to Katello - Feature #32638: New Content View Page - Add container ta... Closed

Blocked by Katello - Feature #29298: Create Content View table  Closed
Blocked by Katello - Feature #29306: Create Content View Table Header Resolved

Blocked by Katello - Bug #29550: Actions menu in new Content View table shows... New

Blocked by Katello - Refactor #25622: Refactor table overflow CSS to not be g... New

Blocked by Katello - Bug #31125: Change type and status dropdowns in new Cont... Resolved

Blocked by Katello - Bug #31126: New patternfly 4 search - put X inside of se... Rejected

Blocked by Katello - Bug #31127: Patternfly 4 search: Don't submit autocomple... Resolved

Blocked by Katello - Bug #31505: Patternfly 4 Table wrapper - Add pagination ... Resolved

Blocked by Katello - Bug #31507: Patternfly 4 - Add proper spacing between ta... Resolved

Blocked by Katello - Bug #31523: Searching for content view filter with just ... Closed

History

#1 - 03/09/2020 03:09 PM - Walden Raines

- Blocked by Feature #29298: Create Content View table   added

#2 - 03/09/2020 03:22 PM - Walden Raines

- Blocked by deleted (Feature #29298: Create Content View table  )

#3 - 03/09/2020 03:23 PM - Walden Raines

- Precedes Feature #29298: Create Content View table   added

#4 - 03/09/2020 03:23 PM - Walden Raines

- Precedes deleted (Feature #29298: Create Content View table  )

#5 - 03/09/2020 03:23 PM - Walden Raines

- Blocked by Feature #29298: Create Content View table   added

#6 - 03/09/2020 03:39 PM - Walden Raines

- Blocked by Feature #29306: Create Content View Table Header added

#7 - 03/11/2020 05:42 PM - Jonathon Turel

- Target version set to Katello 3.16.0

#8 - 03/11/2020 05:43 PM - Jonathon Turel

- Triaged changed from No to Yes

#9 - 04/16/2020 04:18 PM - John Mitsch

- Blocked by Bug #29550: Actions menu in new Content View table shows wrong cursor added

#10 - 04/20/2020 01:32 PM - John Mitsch

- Blocked by Refactor #25622: Refactor table overflow CSS to not be general for 'td' elements added

#11 - 04/22/2020 01:47 PM - John Mitsch

- Related to Bug #29598: Fix format of dates in new Content View page added

#12 - 04/22/2020 06:02 PM - Jonathon Turel

- Target version changed from Katello 3.16.0 to 1223

#13 - 05/05/2020 05:51 PM - John Mitsch

- Related to Bug #29707: Display actual error message for patternfly 4 table added

#14 - 05/13/2020 04:04 PM - Jonathon Turel

- Target version changed from 1223 to Katello 4.0.0

#15 - 05/21/2020 02:48 PM - John Mitsch

- Related to Bug #29904: UI - For patternfly 4 tables, investigate caching paginated results added
#16 - 05/21/2020 07:27 PM - John Mitsch

- Related to Bug #29907: UI - patternfly4 - switching the perPage setting shows flash of previous page added

#17 - 06/03/2020 01:39 PM - John Mitsch

- Related to Bug #29996: Add new content view details page with details tab added

#18 - 06/03/2020 01:42 PM - John Mitsch

- Related to Bug #29997: add new content view repositories tab to CV details page added

#19 - 06/09/2020 12:16 PM - John Mitsch

- Related to Bug #30071: Autocomplete for search doesn't show "Operators" or other title rows on React pages added

#20 - 06/09/2020 05:01 PM - John Mitsch

- Related to Feature #29832: Content View Page - add pagination to main CV table added

#21 - 06/09/2020 06:12 PM - John Mitsch

- Related to Bug #30079: Searching for just "composite" in content views page causes ISE added

#22 - 07/07/2020 01:33 PM - John Mitsch

- Related to Bug #30334: A publish content view displays (Invalid Date) for the date and time of when the content view was published. added

#23 - 07/15/2020 01:07 AM - John Mitsch

- Related to Refactor #30410: Improve loading UX on new Content View details page added

#24 - 07/16/2020 02:24 PM - John Mitsch

- Related to Bug #30420: New content view page search autosearch will sometimes search incorrectly  added

#25 - 07/16/2020 02:31 PM - John Mitsch

- Related to Bug #30421: New Content View page - spacing between clear icon and search is too large added

#26 - 07/30/2020 01:21 AM - John Mitsch

- Related to Feature #30524: Add a way to show both added and available repositories to a Content View to the API added

#27 - 08/04/2020 02:32 PM - Chris Roberts

- Target version changed from Katello 4.0.0 to Katello 3.17.0

#28 - 08/21/2020 03:15 PM - John Mitsch

- Related to Bug #30282: New CV page - Pagination doesn't reset when you do a new search added

#29 - 09/22/2020 01:17 PM - John Mitsch

- Related to Feature #30895: New content view page - show filters applied for repositories tab added

#30 - 09/22/2020 01:47 PM - John Mitsch

- Related to Bug #30896: Add bulk selector to patternfly 4 table added

#31 - 09/30/2020 05:58 PM - Chris Roberts

- Target version changed from Katello 3.17.0 to Katello 3.18.0

#32 - 10/21/2020 11:45 PM - John Mitsch

- Blocked by Bug #31125: Change type and status dropdowns in new Content View repositories page added

#33 - 10/21/2020 11:48 PM - John Mitsch

- Blocked by Bug #31126: New patternfly 4 search - put X inside of search box, not outside added

#34 - 10/22/2020 12:05 AM - John Mitsch

- Blocked by Bug #31127: Patternfly 4 search: Don't submit autocomplete item added
#35 - 11/13/2020 12:08 PM - John Mitsch

- Related to Bug #31313: New Content View page - create the filter tab's main table added

#36 - 11/13/2020 12:20 PM - John Mitsch

- Related to Bug #31314: New Content View Page - Tasks tab added

#37 - 12/03/2020 08:09 PM - John Mitsch

- Related to Feature #31446: New Content View Page - Add copy content view capability added

#38 - 12/14/2020 03:58 PM - John Mitsch

- Blocked by Bug #31505: Patternfly 4 Table wrapper - Add pagination to bottom of page as well as top of page added

#39 - 12/14/2020 04:06 PM - John Mitsch

- Blocked by Bug #31507: Patternfly 4 - Add proper spacing between table and header added

#40 - 12/16/2020 06:51 PM - Jonathon Turel

- Target version changed from Katello 3.18.0 to Katello 4.1.0

#41 - 12/16/2020 07:05 PM - John Mitsch

- Blocked by Bug #31523: Searching for content view filter with just "inclusion_type" will return ISE added

#42 - 12/16/2020 07:08 PM - John Mitsch

- Related to deleted (Bug #30420: New content view page search autosearch will sometimes search incorrectly )

#43 - 12/16/2020 07:09 PM - John Mitsch

- Related to deleted (Bug #30282: New CV page - Pagination doesn't reset when you do a new search)

#44 - 01/15/2021 02:25 PM - John Mitsch

- Related to Bug #31648: New Content View page - show package group filters added

#45 - 01/15/2021 02:25 PM - John Mitsch

- Related to Bug #31649: New Content View page - show RPM filters added

#46 - 01/15/2021 02:25 PM - John Mitsch

- Related to Bug #31650: New Content View page - show container repository tag filters added

#47 - 01/15/2021 02:25 PM - John Mitsch

- Related to Bug #31652: New Content View page - errata filters details page added

#48 - 01/25/2021 02:34 PM - John Mitsch

- Related to Bug #31716: Patternfly 4 - Have tabs that support routing and subpages added

#49 - 02/24/2021 07:08 PM - John Mitsch

- Related to Bug #31957: New Content View page - Repositories for "Not Added" not scoped to organization added

#50 - 02/25/2021 03:53 PM - John Mitsch

- Related to Feature #31969: New Content View Page - Add filter RPM detail pages added

#51 - 02/25/2021 03:55 PM - John Mitsch

- Related to Feature #31970: New Content View Page - Add Added/Available/All to the content view filter details page added

#52 - 02/25/2021 04:02 PM - John Mitsch

- Related to Bug #31971: Add API call to get all RPMs for a CV filter, both added and available added

#53 - 04/09/2021 01:35 PM - Samir Jha

- Related to Bug #32281: New Content View Page - Versions tab added
#54 - 04/09/2021 02:38 PM - Samir Jha

- Related to Bug #32283: New Content View Page - CV List page env and version expandable columns added

#55 - 04/28/2021 01:57 PM - Samir Jha

- Related to Feature #32303: Add a show_all endpoint for content view components added

#56 - 05/12/2021 06:57 PM - Samir Jha

- Target version changed from Katello 4.1.0 to Katello 4.2.0

#57 - 05/20/2021 02:53 PM - Samir Jha

- Related to Feature #32638: New Content View Page - Add container tag filter detail page added

#58 - 08/11/2021 06:04 PM - Samir Jha

- Target version changed from Katello 4.2.0 to Katello 4.3.0

#59 - 11/08/2021 05:33 PM - Samir Jha

- Target version changed from Katello 4.3.0 to Katello Recycle Bin

Moving Tracker to Recycle Bin as the work here is done!
